[plonegov-br] A navegação facetada não é compatível com o IDG 1.1.4

Cintia de Souza Cinquini cintia.cinquini em planalto.gov.br
Quarta Novembro 30 17:12:41 BRST 2016


Pedro,

Testa por favor a versão 1.1.5.2 e veja se ainda quebra.
Se quebrar, relata por favor.

Estamos testando essa versão e sua ajuda, e de quem mais puder, será de grande valia.

Abraço,
Cintia

Em 29/11/2016 17:52:42, Pedro Muniz escreveu:
> 


> 

> 
Prezados (as), Boa tarde, estou com esse mesmo problema abaixo relatado pelo Luam, estou fazendo a migração de um portal que estava na versão da IDG 1.0.5 para 1.1.4, porém quando instalo o brasil.gov.facetada a instância não sobe dando o seguinte erro:

> 
> 
> File "/opt/plone/portal.buildout/eggs/brasil.gov.facetada-1.0a1-py2.7.egg/brasil/gov/facetada/faceted/widgets/banner/widget.py", line 68, in Widget
> > 
>     edit_schema = AbstractWidget.edit_schema.copy() + EditSchema
> > 
> zope.configuration.xmlconfig.ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/parts/instance1/etc/site.zcml", line 15.2-15.55
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/parts/instance1/etc/package-includes/002-brasil.gov.portal-configure.zcml", line 1.0-1.61
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.portal-1.1.4-py2.7.egg/brasil/gov/portal/configure.zcml", line 14.2-14.38
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.portal-1.1.4-py2.7.egg/brasil/gov/portal/dependencies.zcml", line 5.2-5.41
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.agenda-1.0.1-py2.7.egg/brasil/gov/agenda/configure.zcml", line 11.4-11.48
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/plone.app.contenttypes-1.0-py2.7.egg/plone/app/contenttypes/configure.zcml", line 10.2-10.37
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/Products.CMFPlone-4.3.9-py2.7.egg/Products/CMFPlone/configure.zcml", line 98.4-102.10
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.facetada-1.0a1-py2.7.egg/brasil/gov/facetada/configure.zcml", line 20.2-20.32
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.facetada-1.0a1-py2.7.egg/brasil/gov/facetada/faceted/configure.zcml", line 3.2-3.32
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.facetada-1.0a1-py2.7.egg/brasil/gov/facetada/faceted/widgets/configure.zcml", line 3.2-3.31
> > 
>     ZopeXMLConfigurationError: File "/opt/plone/portal.buildout/eggs/brasil.gov.facetada-1.0a1-py2.7.egg/brasil/gov/facetada/faceted/widgets/banner/configure.zcml", line 6.2-6.45
> > 
>     AttributeError: type object 'Widget' has no attribute 'edit_schema'
> > 

> 
Alguém sabe se  brasil.gov.facetada é compatível com a IDG 1.1.4?
> > 

> 
> Atenciosamente,
> > 


> > 
> Pedro Muniz
> > 
> Analista de Suporte 
> > 

> 
> 
> 
> De:>  > plonegov-br-bounces em listas.interlegis.gov.br>  <> plonegov-br-bounces em listas.interlegis.gov.br> > em nome de Luam leiverton Pereira dos Santos <> luam.santos em univasf.edu.br> >
> Enviado:>  terça-feira, 8 de novembro de 2016 14:56
> Para:>  Comunidade Plone no Governo
> Assunto:>  [plonegov-br] [pergunta]A navegação facetada não é compatível com o IDG 1.1.4> 
>  
> > 

> > 

> > 
> 
> Pessoal
> 
> 
Bom dia
> 
> 
Sabem informar se há alguma incompatibilidade do IDG 1.1.4 com o produto de busca e navegação facetada brasil.gov.facetada?
> 
> 
A instância não sobe após a atualização..
> 
> 
Alguém já vivenciou isso?
> 
> 
Att
> 
> 
> 
-- 
> 
Luam Leiverton Pereira dos Santos 
> 
Analista de Tecnologia da Informação 
> 
Bacharel em Sistemas de Informação/Mestre em Modelagem Computacional do Conhecimento

> 
Universidade Federal do Vale do São Francisco-UNIVASF 
> 
Departamento de Sistemas de Informação/Secretaria de Tecnologia da Informação 
> portais.univasf.edu.br/sti>  
> 
Fone: 87-2101-6814
> 
-- 
> 
Comunidade Plone no Governo
> 
Site: > 
http://www.softwarelivre.gov.br/plone> 
> 
> 
> 

> > 
> 
> 
> 
> 
> PloneGov-BR — Portal Software Livre
> > 
> 
> www.softwarelivre.gov.br
> > 
> 
Comunidade de órgãos do governo brasileiro que utilizam Python, Zope, Plone e tecnologias correlatas.
> > 
> 

> > 

> 
> 
Wiki: > 
http://colab.interlegis.leg.br/wiki/PloneGovBr
> 
Histórico: > 
http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br
> 
Lista: > 
https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br
> 

> > 
> 

> > 


> -- 
Comunidade Plone no Governo
Site: > http://www.softwarelivre.gov.br/plone> 
Wiki: > http://colab.interlegis.leg.br/wiki/PloneGovBr> 
Histórico: > http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br> 
Lista: > https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br



-- 
Cordialmente,

Cintia de Souza Cinquini
Coordenação de Comunicação Digital
Diretoria de Tecnologia
Presidência da República
(61) 3411-2157

-------------- Próxima Parte ----------
Um anexo em HTML foi limpo...
URL: <http://listas.interlegis.gov.br/pipermail/plonegov-br/attachments/20161130/094c409c/attachment.html>


Mais detalhes sobre a lista de discussão PloneGov-BR